PulseAudio 16.1

Data Fields
pa_ext_device_manager_info Struct Reference

Stores information about one device in the device database that is maintained by module-device-manager. More...

`#include <ext-device-manager.h>`

## Data Fields
const char * | name
| Identifier string of the device. More...
const char * | description
| The description of the device when it was last seen, if applicable and saved. More...
const char * | icon
| The icon given to the device. More...
uint32_t | index
| The device index if it is currently available or PA_INVALID_INDEX. More...
uint32_t | n_role_priorities
| How many role priorities do we have? More...
pa_ext_device_manager_role_priority_info * | role_priorities
| An array of role priority structures or NULL. More...

## Detailed Description

Stores information about one device in the device database that is maintained by module-device-manager.

Since
  0.9.21

## Field Documentation

## ◆ description

const char* pa_ext_device_manager_info::description

The description of the device when it was last seen, if applicable and saved.

## ◆ icon

const char* pa_ext_device_manager_info::icon

The icon given to the device.

## ◆ index

uint32_t pa_ext_device_manager_info::index

The device index if it is currently available or PA_INVALID_INDEX.

## ◆ n_role_priorities

uint32_t pa_ext_device_manager_info::n_role_priorities

How many role priorities do we have?

## ◆ name

const char* pa_ext_device_manager_info::name

Identifier string of the device.

A string like "sink:" or similar followed by the name of the device.

## ◆ role_priorities

pa_ext_device_manager_role_priority_info* pa_ext_device_manager_info::role_priorities

An array of role priority structures or NULL.

The documentation for this struct was generated from the following file:

- ext-device-manager.h